<script lang="ts">
    export let imageUrl: string;
    export let name: string;
    export let infoUrl: string | undefined = undefined;
    export let validUntil: string;
  </script>
  
  <div class="flex flex-col items-center rounded-lg overflow-hidden bg-background-alt hover:bg-background-light transition-duration-300">
    {#if infoUrl}
      <a href={infoUrl} target="_blank" rel="noopener noreferrer" class="p-2">
        <img src={imageUrl} alt={name} class="h-[90px] w-[90px] object-contain" />
      </a>
    {:else}
      <div class="p-2">
        <img src={imageUrl} alt={name} class="h-[90px] w-[90px] object-contain" />
      </div>
    {/if}
    <div class="w-full bg-gray-800 dark:bg-gray-700 px-3 py-2">
      <p class="text-xs text-gray-200 dark:text-gray-300 text-center">
        Valid until</p>
       <p class="text-xs text-gray-200 dark:text-gray-300 text-center"> {validUntil}</p>
    </div>
  </div>